## tgif 4.1.43

=== rmcast/Makefile ===
# DEBUG messages:
# BE CAREFULL: when debug messages are enabled the program will be slowed down!!
# You can define the following debug messages:
#
# - DEBUG_TIMERS : prints TIMER related messages
# - DEBUG_NET_MSGS: Warning: this can generate lots of data! prints sent/received packages related messages
# - DEBUG_CACHE : prints cache related messages
# - DEBUG_EVENTS: prints event list handler messages
# - DEBUG_SHOW : Warning: this can generate lots of data!: Shows part of program stuctures content (cache, event list, etc).
# - DEBUG_CACHE_CONTENTS : Warning: this can generate lots of data! DEBUG_SHOW must be enable. Shows the full content of the cache structure. 
# - DSHOW_MSG_CONTENTS : Warning: this can generate lots of data! DEBUG_SHOW must be enable. Shows the full content of the message structure.
# - DEBUG_PCKT : prints mount/unmount package info
# - DEBUG_MSG_QUEUE : prints message queue info
# - DEBUG_TCP: tcp connection debug (see rmtcp.c)
# - REFRESH : enables refresh messages
# - SUPPORT_FOR_NEW_USERS : enables support for new users
# - DONT_SEND_NACK_AGAIN_IMMEDIATLY : a second NAK is sent only when the first one was received by the user himself who sent the NAK
# - SINGLE_NACK : only one nack event will be launched for a group of packets at a time
# - DSINGLE_NACK : enables single nack debug messages
# - DWINDOW_MASK : enables window mask related debug messages
# - DMUTEX : enable lock and unlock mutex tracing ( shows when cache and event list access is locked or unlocked)
# - RANDOM_TIMERS : uses random timers instead of static deterministic timers
# - DSHOW_COMPLETE_MASK_IN_LOG : shows, in the log file, the nack mask in binary mode

OBJECTS = rmevent.o rmcache.o rmmsgpckt.o rminternals.o rmmsg.o rmcast.o rmtcp.o rmwinmask.o

LIBDIR= 
LIBS= -lpthread -lm

CC	= gcc
LDFLAGS =
CFLAGS	= -Wall -g
INCDIR  =
DEFINES = -DSINGLE_NACK -D_REENTRANT -DMALLOC_CHECK_ -DREFRESH -D_POSIX_PTHREAD_SEMANTICS -DSUPPORT_FOR_NEW_USERS -DRANDOM_TIMERS

#If you want to enable debug messages uncomment the following line. WARNING: This will generate a lot of messages!!
# DEFINES += -DDSINGLE_NACK  -DDEBUG_EVENTS -DDEBUG_CACHE -DEBUG_SHOW
# -DMUTEX -DDEBUG_NET_MSGS -DDEBUG_PCKT -DCACHE_CONTENTS -DSHOW_MSG_CONTENTS
# -DDSHOW_COMPLETE_MASK_IN_LOG

.SUFFIXES: .o .c


all: librmcast.a


solaris:
	make -f Makefile.solaris
       
.c.o:
	$(CC) $(DEFINES) $(CFLAGS) $(INCDIR) -c -o $@ $<


librmcast.a: $(OBJECTS)
	ar -rcv $@ $(OBJECTS)
	ranlib $@


clean:
	\rm -f $(OBJECTS) *core *~ *.bak *% rmcast *.o *.a server client

=== rmcast/examples/rmchat/Makefile ===

OBJECTS = 

LIBDIR= -L../..
LIBS= -lpthread -lm -lrmcast
SOLLIBS= -lsocket -lnsl

CC	= gcc
LDFLAGS =
CFLAGS	= -Wall -g
INCDIR  = -I../..
DEFINES = 



all: 
	$(CC) rmchat.c $(DEFINES) $(CFLAGS) $(INCDIR) $(LIBDIR) $(LIBS) -o rmchat  

clean:
	\rm -f rmchat

solaris:
	$(CC) rmchat.c $(DEFINES) $(CFLAGS) $(INCDIR) $(LIBDIR) $(LIBS) $(SOLLIBS) -o rmchat

=== rmcast/tools/tcpdump2rmcast/Makefile ===
all:
	gcc -DREFRESH tcpdump2rmcast.c rmmsgpckt_debug.o -otcpdump2rmcast -Wall -I..

## tgif 4.1.45

=== debian/changelog ===
tgif (1:4.1.45-3) unstable; urgency=low

  * QA upload.
  * Bump debhelper compatibility level to 7
  * As a consequence, replace "dh_clean -k" by "dh_prep"
  * Add ${misc:Depends} to package dependencies to properly deal with
    dependencies coming from the use of debhelper utilities
  * Add copyrights to debian/copyright
  * Switch to source v3 format
  * Split Choices in debconf templates
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Fernando González de Requena).  Closes: #539590
    - Vietnamese (Clytie Siddall).  Closes: #322297
    - Italian (Vincenzo Campanella).  Closes: #575098

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Mar 2010 07:37:12 +0100

tgif (1:4.1.45-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to QA group.
  * Replace xutils with xutils-dev in Build-Depends. Closes: #485219
  * Remove old conflicts from 1995. Closes: #404339
  * Add Homepage field and update homepage in copyright file.
  * Add watch file.
  * Fix broken basename call in pstoepsi. Closes: #447703
  * Fix charset declarations in upstream fr.po and ja.po,
    fix broken line endings in fr.po and actually install
    fr.po.
  * Remove unneccessary linking against libxmu.
  * Debconf translations:
    - Czech. Closes: #480305
    - Basque. Closes: #492527

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 29 Jul 2008 17:57:27 +0200

tgif (1:4.1.45-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #415492
    - Dutch. Closes: #415502
  * [Lintian] No longer list files in /etc as conffiles. Debhelper
    does this already
  * [Lintian] Change Apps to Applications in the menu file
  * [Lintian] No longer ignore errors by "make clean"
  * [Lintian] Set debhelper compatibility level in debian/compat and
    no longer in debian/rules
  * Finnish. Closes: #472913
  * Galician. Closes: #475596

 -- Christian Perrier <bubulle@debian.org>  Thu, 27 Mar 2008 07:37:18 +0100

tgif (1:4.1.45-1) unstable; urgency=low

  * new upstream
  * added Swedish debconf translation (closes: #338858)
  * added Russsian debconf translation (closes: #361119)
  * apply patch from #340719 to fix pstoepsi -2x option handling

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  9 Jul 2006 10:47:06 +0100

tgif (1:4.1.44-4) unstable; urgency=low

  * debconf is in Depends line not Build-depends! (closes: #332968)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 10 Oct 2005 18:55:15 +0100

tgif (1:4.1.44-3) unstable; urgency=low

  * added alternate dependency on debconf-2.0 (closes: #332117)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  9 Oct 2005 11:09:00 +0100

tgif (1:4.1.44-2) unstable; urgency=low

  * Czech debconf translation from Martin Sin (closes: #312980)
  * Vietnamese debconf translation from Clytie Siddall (closes: #322297)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 29 Aug 2005 15:15:30 +0100

tgif (1:4.1.44-1) unstable; urgency=low

  * new upstream (closes: #302632)
  * updated German debconf template (closes: #277040)
  * add -D_XPM4TOPPM to build so that .gif generation will work.
    thanks to Eric Mumpower for reporting this (closes: #152051)
    NB: this wasn't required for me (netpbm 10.0-8)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  3 Apr 2005 15:11:55 +0100

tgif (1:4.1.43-4) unstable; urgency=low

  * fixed a few minor lintian warnings

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  7 Sep 2004 10:02:17 +0100

tgif (1:4.1.43-3) unstable; urgency=low

  * Added missing libxmu-dev Build-Depends (thanks to Goswin von
      Brederlow)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 31 May 2004 19:50:45 +0100

tgif (1:4.1.43-2) unstable; urgency=low

  * add Danish (closes: #233741), Catalan (closes: #237300) and 
    Japanese (closes: #236985) debconf templates
  * updated build-dependencies a bit
  * moved some files from /usr/X11R6/lib/X11/tgif to /usr/share/tgif

 -- Adrian Bridgett <bridgett@debian.org>  Mon,  3 May 2004 15:41:20 +0100

tgif (1:4.1.43-1) unstable; urgency=low

  * new upstream
  * upstream fixed .Tgif creation (closes: #212815)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 15 Nov 2003 16:57:43 +0000

tgif (1:4.1.42-4) unstable; urgency=low

  * add gettext patch for debconf templates (closes: #201337)
  * add French translation for above (closes: #201558)
    - thanks to Michel Grentzinger for both the above
  * add LaTeX equation support (closes: #131625) thanks
    to James R. Van Zandt

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 21 Jul 2003 19:44:10 +0100

tgif (1:4.1.42-3) unstable; urgency=low

  * lintian fixes

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 31 May 2003 21:27:33 +0100

tgif (1:4.1.42-2) unstable; urgency=low

  * template file should only have single blank lines, not multiple ones
    (closes: #146290)

 -- Adrian Bridgett <bridgett@debian.org>  Wed,  8 May 2002 23:34:50 +0100

tgif (1:4.1.42-1) unstable; urgency=low

  * new upstream
  * Russian debconf templates - thanks to Ilgiz Kalmetev (closes: #137692)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  7 Apr 2002 11:31:50 +0100

tgif (1:4.1.41-2) unstable; urgency=low

  * patch from Jan Niehusmann to avoid InitTmpDir being called before
    tgifDir has been created. Thanks (closes: #135474)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 25 Feb 2002 20:05:29 +0000

tgif (1:4.1.41-1) unstable; urgency=low

  * new upstream (closes: #126612)
  * QPL license adopted by upstream means tgif can now go in main -
    hopefully the autobuilders will then kick in so #123557 will be fixed
  * apply fixes from James R. Van Zandt to fix keys.obj.gz typos (closes:
    #130342)
  * use tgificon.xpm - I think tgif might not like the change.
    I've added a note about sxpm though (closes: #130643)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 19 Feb 2002 22:13:48 +0000

tgif (1:4.1.40-5) unstable; urgency=low

  * acknowledge NMU - many thanks Noah! (closes: #110219, #110384)



=== debian/control ===
Source: tgif
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), xutils-dev, libxt-dev, libxext-dev, gettext
Standards-Version: 3.6.2.1
Homepage: http://bourbon.usc.edu/tgif/

Package: tgif
Depends: ${misc:Depends}, gettext, ${shlibs:Depends}
Architecture: any
Description: interactive 2-D drawing facility under X11
 Tgif has little to do with GIF files. It is a 2-D vector based drawing
 program which can produce output suitable for LaTeX or in PostScript.

=== debian/rules ===
#!/usr/bin/make -f

# If compilation fails with:
# /bin/sh: -c: line 1: syntax error near unexpected token `done'
# then edit /usr/lib/X11/config/Imake.rules and add the ; to line 2329:
#     set +x; else (set -x; $(MKDIRHIER) $(DESTDIR)$$i); fi; \@@\

#export DH_VERBOSE=1; debhelper 0.19

DEB=`pwd`/debian/tgif

build:	build-stamp

build-stamp:
	dh_testdir
	xmkmf
	$(MAKE) LOCAL_LDFLAGS=-s
	cd po && xmkmf -a && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) -i clean
	-cd po && $(MAKE) -i clean
	dh_clean
	find . -name "Makefile*" | xargs -r rm -f

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

binary-indep:	build install

binary-arch:	build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdirs usr/bin etc/X11/app-defaults usr/share/tgif \
	  etc/X11/ja_JP.eucJP/app-defaults usr/share/locale/ja/LC_MESSAGES \
	  etc/X11/ru/app-defaults usr/share/locale/ru/LC_MESSAGES \
	  usr/share/locale/fr/LC_MESSAGES usr/share/tgif/latex
	cp eq*.sym $(DEB)/usr/share/tgif/latex
	cp tgif debian/pstoepsi $(DEB)/usr/bin
	chmod +x $(DEB)/usr/bin/pstoepsi
# I can't get this to install into the right place so do it manually
#	cd po && $(MAKE) DESTDIR=$(DEB) install
	install -m0644 po/ja/ja.mo $(DEB)/usr/share/locale/ja/LC_MESSAGES/tgif.mo
	install -m0644 po/ru/ru.mo $(DEB)/usr/share/locale/ru/LC_MESSAGES/tgif.mo
	install -m0644 po/fr/fr.mo $(DEB)/usr/share/locale/fr/LC_MESSAGES/tgif.mo
	dh_installdocs Copyright
	cat License >> $(DEB)/usr/share/doc/tgif/copyright
	dh_installexamples example.tex *-demo.obj keys.obj fonts.obj an-sr-flip-flop.obj *.sym *.pl
	cp -r spice $(DEB)/usr/share/doc/tgif/examples
	cp tgif.Xdefaults $(DEB)/etc/X11/app-defaults/Tgif
	cp tgif.Xdefaults $(DEB)/etc/X11/ja_JP.eucJP/app-defaults/Tgif
	cp tgif.Xdefaults $(DEB)/etc/X11/ru/app-defaults/Tgif
	cp tgificon.obj tgificon.x?m $(DEB)/usr/share/tgif/
	dh_installmenu
	dh_installman tgif.man debian/pstoepsi.1
	dh_installchangelogs HISTORY
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

## tgif 4.2.2

=== Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/tgif
pkglibdir = $(libdir)/tgif
pkgincludedir = $(includedir)/tgif
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = tgif$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS ChangeLog NEWS depcomp \
	install-sh missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(tgifdir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_tgif_OBJECTS = align.$(OBJEXT) animate.$(OBJEXT) arc.$(OBJEXT) \
	attr.$(OBJEXT) auxtext.$(OBJEXT) box.$(OBJEXT) \
	button.$(OBJEXT) chat.$(OBJEXT) chinput.$(OBJEXT) \
	choice.$(OBJEXT) choose.$(OBJEXT) cli_xcin.$(OBJEXT) \
	convkinput.$(OBJEXT) convxim.$(OBJEXT) cmd.$(OBJEXT) \
	color.$(OBJEXT) cutpaste.$(OBJEXT) cursor.$(OBJEXT) \
	dialog.$(OBJEXT) drawing.$(OBJEXT) dup.$(OBJEXT) \
	edit.$(OBJEXT) eps.$(OBJEXT) exec.$(OBJEXT) expr.$(OBJEXT) \
	file.$(OBJEXT) font.$(OBJEXT) ftp.$(OBJEXT) grid.$(OBJEXT) \
	group.$(OBJEXT) hash.$(OBJEXT) help.$(OBJEXT) http.$(OBJEXT) \
	imgproc.$(OBJEXT) import.$(OBJEXT) ini.$(OBJEXT) \
	inmethod.$(OBJEXT) list.$(OBJEXT) mainloop.$(OBJEXT) \
	mainmenu.$(OBJEXT) mark.$(OBJEXT) markup.$(OBJEXT) \
	menu.$(OBJEXT) menuinfo.$(OBJEXT) miniline.$(OBJEXT) \
	move.$(OBJEXT) msg.$(OBJEXT) names.$(OBJEXT) \
	navigate.$(OBJEXT) nkf.$(OBJEXT) obj.$(OBJEXT) oval.$(OBJEXT) \
	page.$(OBJEXT) pattern.$(OBJEXT) pin.$(OBJEXT) poly.$(OBJEXT) \
	polygon.$(OBJEXT) ps.$(OBJEXT) raster.$(OBJEXT) \
	rcbox.$(OBJEXT) rect.$(OBJEXT) remote.$(OBJEXT) \
	rm_intrf.$(OBJEXT) ruler.$(OBJEXT) scroll.$(OBJEXT) \
	select.$(OBJEXT) setup.$(OBJEXT) shape.$(OBJEXT) \
	shortcut.$(OBJEXT) special.$(OBJEXT) spline.$(OBJEXT) \
	stk.$(OBJEXT) stream.$(OBJEXT) stretch.$(OBJEXT) \
	strtbl.$(OBJEXT) tangram2.$(OBJEXT) tdgtbase.$(OBJEXT) \
	tdgtbmpl.$(OBJEXT) tdgtbrow.$(OBJEXT) tdgtbtn.$(OBJEXT) \
	tdgtdraw.$(OBJEXT) tdgtlist.$(OBJEXT) tdgtmsg.$(OBJEXT) \
	tdgtsedt.$(OBJEXT) tgif_dbg.$(OBJEXT) tgcwheel.$(OBJEXT) \
	tgcwdl.$(OBJEXT) tginssym.$(OBJEXT) tgisdl.$(OBJEXT) \
	tgtwb5.$(OBJEXT) tgif.$(OBJEXT) tgtwb5dl.$(OBJEXT) \
	tgtwb5xl.$(OBJEXT) tidget.$(OBJEXT) tcp.$(OBJEXT) \
	text.$(OBJEXT) util.$(OBJEXT) version.$(OBJEXT) \
	vms_comp.$(OBJEXT) wb.$(OBJEXT) wb1.$(OBJEXT) wb2.$(OBJEXT) \
	wb3.$(OBJEXT) wb_buff.$(OBJEXT) wb_mcast.$(OBJEXT) \
	wb_seg.$(OBJEXT) xbitmap.$(OBJEXT) xpixmap.$(OBJEXT) \
	xprtfltr.$(OBJEXT) z_intrf.$(OBJEXT)
tgif_OBJECTS = $(am_tgif_OBJECTS)
tgif_DEPENDENCIES =
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(tgif_SOURCES)
DIST_SOURCES = $(tgif_SOURCES)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
tgifDATA_INSTALL = $(INSTALL_DATA)
DATA = $(tgif_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run aclocal-1.10
AMTAR = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run tar
AUTOCONF = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run autoconf
AUTOHEADER = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run autoheader
AUTOMAKE = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DVERSION=\"$(VERSION)\" -DPROG="\"$(PACKAGE)\"" \
	-Wall -I/usr/X11R6/include -DHAVE_CONFIG_H -DTGIF_PATH=\"$(TGIFDIR)\" -DPSFILE_MOD=0664 -DLOCALEDIR=\"/usr/share/locale\" -DTELEPORT_ATTR=\"warp_to=\" -DTMP_DIR=\"/tmp/\" -DLAUNCH_ATTR=\"launch=\" -DEXEC_ATTR=\"exec=\" -DEPSF_FILE_EXT=\"eps\" -DPS_FILE_EXT=\"ps\" -DXBM_FILE_EXT=\"xbm\" -DXPM_FILE_EXT=\"xpm\" -DOBJ_FILE_EXT=\"obj\" -DSYM_FILE_EXT=\"sym\" -DTEXT_FILE_EXT=\"txt\" -DPIN_FILE_EXT=\"pin\" -DNETLIST_FILE_EXT=\"net\" -DCOMP_FILE_EXT=\"cmp\"  -D_BACKGROUND_DONT_FORK -D_USE_XDRAWPOINT_TO_PUT_A_POINT -D_USE_PS_ADOBE_STRING=\"3.0/3.0\" -D_DONT_USE_MKTEMP -D_DONT_REENCODE=\"FFDingbests:ZapfDingbats\" -DDEFATTRGROUP=\"TANGRAM-II:Declaration:Events:Messages:Rewards:Initialization:Watches\" -DUSE_XT_INITIALIZE

CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread -lz -lm -lidn -ldl -lnsl -lXt -lX11 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = tgif
PACKAGE_BUGREPORT = bill.cheng@acm.org
PACKAGE_NAME = tgif
PACKAGE_STRING = tgif 4.2.2
PACKAGE_TARNAME = tgif
PACKAGE_VERSION = 4.2.2
PATH_SEPARATOR = :
POW_LIB = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 4.2.2
XMKMF = 
abs_builddir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
abs_srcdir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
abs_top_builddir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
abs_top_srcdir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = .
top_srcdir = .

#
# @(#)$Header: /mm2/home/cvs/bc-src/tgif/Makefile.am,v 1.16 2009/10/14 17:54:04 william Exp $
#
AUTOMAKE_OPTIONS = foreign
TGIFDIR = $(libdir)/X11/tgif
tgif_SOURCES = \
	align.c animate.c arc.c attr.c auxtext.c \
	box.c button.c \
	chat.c chinput.c choice.c choose.c cli_xcin.c \
		convkinput.c convxim.c cmd.c color.c cutpaste.c \
		cursor.c \
	dialog.c drawing.c dup.c \
	edit.c eps.c exec.c expr.c \
	file.c font.c ftp.c \
	grid.c group.c \
	hash.c help.c http.c \
	imgproc.c import.c ini.c inmethod.c \
	list.c \
	mainloop.c mainmenu.c mark.c markup.c menu.c \
		menuinfo.c miniline.c move.c msg.c \
	names.c navigate.c nkf.c \
	obj.c oval.c \
	page.c pattern.c pin.c poly.c polygon.c ps.c \
	raster.c rcbox.c rect.c remote.c rm_intrf.c ruler.c \
	scroll.c select.c setup.c shape.c shortcut.c \
		special.c spline.c stk.c stream.c stretch.c \
		strtbl.c \
	tangram2.c tdgtbase.c tdgtbmpl.c tdgtbrow.c tdgtbtn.c tdgtdraw.c \
		tdgtlist.c tdgtmsg.c tdgtsedt.c tgif_dbg.c tgcwheel.c \
		tgcwdl.c tginssym.c tgisdl.c tgtwb5.c tgif.c tgtwb5dl.c \
		tgtwb5xl.c tidget.c tcp.c text.c \
	util.c \
	version.c vms_comp.c \
	wb.c wb1.c wb2.c wb3.c wb_buff.c wb_mcast.c \
		wb_seg.c \
	xbitmap.c xpixmap.c xprtfltr.c \
	z_intrf.c

tgif_LDADD = -L/usr/X11R6/lib -lXext -lX11 -lXt -lSM -lICE -lXmu
tgifdir = $(TGIFDIR)
tgif_DATA = tgif.Xdefaults tgificon.eps tgificon.obj tgificon.xbm tgificon.xpm tgif.gif tangram.sym eq4.sym eq4-2x.sym eq4-ps2epsi.sym eq4-epstool.sym eq4xpm.sym eq4-lyx-ps2epsi.sym eq4xpm-land.sym eq4png.sym keys.obj Copyright License
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \

=== debian/changelog ===
tgif (1:4.2.2-4) unstable; urgency=low

  [Carlo Segre <segre@debian.org>]
  * Change gettext dependency to gettext-base (Closes: #599778).
  * Add include directive in /etc/X11/app-defaults/Tgif and rewrite
    maintainer scripts to put debconf configuration in /etc/default/tgif.
    Direct editing of /etc/X11/app-defaults/Tgif is discouraged so that
    this file can be quietly replaced during upgrades (Closes: #227885).
  * Debconf translation update for Italian.

  [Jonathan Wiltshire <jmw@debian.org>]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #609332)
  * Debconf translation updates:
      - Basque (closes: #609522)
      - Spanish
      - Danish (closes: #609406)
      - Swedish (closes: #609421)
      - Russian (closes: #609425)
      - Czech (closes: #609442)
      - German (closes: #609717)
      - Swedish (closes: #609867)
      - French (closes: #609979)
      - Brazilian Portugese (closes: #610665)
      - Portugese (closes: #610767)
      - Finnish (closes: #614658)
      - Catlan (closes: #614758)

 -- Carlo Segre <segre@debian.org>  Tue, 01 Mar 2011 00:41:20 -0600

tgif (1:4.2.2-3) unstable; urgency=low

  * Add Depends on python-uniconvertor for SVG output (Closes: #608243)
  * Edit the debconf templates to remove questions from the extended 
    descriptions (per Developers Reference 6.5.3.2).

 -- Carlo Segre <segre@debian.org>  Wed, 29 Dec 2010 01:27:55 -0600

tgif (1:4.2.2-2) unstable; urgency=low

  * Add patch (from Bill Cheng) to file.c to prevent errors
    in locales where the comma is used instead of a decimal point and
    remove the -D_ENABLE_NLS compiler flag (Closes: #595795).
  * Add patch (from Bill Cheng) to replace instances of strcopy(...) with 
    a function which will not interact badly with eglibc on amd64, corrupting
    text.
  * Add dependencies to ghostscript and netpbm and recommend xfonts-75dpi.  
  * Add richer default color map in /etc/X11/app-defaults.  This consists
    of 50 colors drawn from the Openoffice.org standard colors.  These
    colors are not in the system rgb.txt and their Openoffice names can be
    found in the file /usr/share/doc/tgif/oo-rgb.txt.  Upcoming versions of
    Tgif will have richer color map selections built in.
  * Add fredesktop menu file and modified Debian menu file.

 -- Carlo Segre <segre@debian.org>  Mon, 13 Sep 2010 00:35:18 -0500

tgif (1:4.2.2-1) unstable; urgency=low

  * New upstream release (long time coming...)
  * New Maintainer: Carlo Segre <segre@debian.org> (Closes: #486765)
  * Add Build-Dep to libz-dev and libxmu-dev
  * pstoepsi:
    - Added check to reject ./file.eps input file construction.
      Thanks to Ryo Furue <furue@hawaii.edu> (Closes: #451540)
  * Removed duplicate tgif/papersize configuration entry.
  * Upgraded to Standards-Version 3.9.1

 -- Carlo Segre <segre@debian.org>  Wed, 01 Sep 2010 15:08:46 -0500

=== debian/control ===
Source: tgif
Section: graphics
Priority: optional
Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 7), xutils-dev, libxt-dev, libxext-dev,
               libz-dev, libxmu-dev
Standards-Version: 3.9.1
Homepage: http://bourbon.usc.edu/tgif/

Package: tgif
Depends: ${misc:Depends}, gettext-base, ${shlibs:Depends}, netpbm, 
         ghostscript, python-uniconvertor
Recommends: xfonts-75dpi
Architecture: any
Description: 2D vector graphic drawing tool using Xlib
 Tgif (originally the "Tangram Graphic Interface Facility") is a
 classic drawing program for 2D vector graphics. Image objects can
 be hierarchically constructed out of primitives such as polygons,
 text, and splines (though the splines Tgif draws are not Bézier
 curves).
 .
 It natively supports PostScript formats suitable for LaTeX, as well
 as X11 bitmap or (version 1) pixmap formats. Other vector and raster
 image formats such as SVG and PNG can be handled via filters.
 .
 Tgif stores drawings as .obj files and individual building-block
 objects as .sym files, both in Prolog-compatible fact file format.

## tgif 4.2.3

=== debian/changelog ===
tgif (1:4.2.3-1) unstable; urgency=low

  * New upstream release
  * Add new required Build_Depends on libidn11-dev
  * Add dependency on texlive-latex-base for LaTe equation 
    instantiation to work
  * Upgrade to Standards-Version 3.9.2 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 11 Jun 2011 17:58:47 -0500

=== debian/rules ===
--- 
+++ 
@@ -55,10 +55,13 @@
 	cat License >> $(DEB)/usr/share/doc/tgif/copyright
 	dh_installexamples example.tex *-demo.obj keys.obj fonts.obj an-sr-flip-flop.obj *.sym *.pl
 	cp -r spice $(DEB)/usr/share/doc/tgif/examples
+	cp debian/oo-rgb.txt $(DEB)/usr/share/doc/tgif/oo-rgb.txt
 	cp tgif.Xdefaults $(DEB)/etc/X11/app-defaults/Tgif
 	cp tgif.Xdefaults $(DEB)/etc/X11/ja_JP.eucJP/app-defaults/Tgif
 	cp tgif.Xdefaults $(DEB)/etc/X11/ru/app-defaults/Tgif
 	cp tgificon.obj tgificon.x?m $(DEB)/usr/share/tgif/
+	dh_install debian/tgif.xpm usr/share/pixmaps
+	dh_install debian/tgif.desktop usr/share/applications
 	dh_installmenu
 	dh_installman tgif.man debian/pstoepsi.1
 	dh_installchangelogs HISTORY

## tgif 4.2.4

=== Makefile ===
--- 
+++ 
@@ -65,21 +65,21 @@
 	menu.$(OBJEXT) menuinfo.$(OBJEXT) miniline.$(OBJEXT) \
 	move.$(OBJEXT) msg.$(OBJEXT) names.$(OBJEXT) \
 	navigate.$(OBJEXT) nkf.$(OBJEXT) obj.$(OBJEXT) oval.$(OBJEXT) \
-	page.$(OBJEXT) pattern.$(OBJEXT) pin.$(OBJEXT) poly.$(OBJEXT) \
-	polygon.$(OBJEXT) ps.$(OBJEXT) raster.$(OBJEXT) \
-	rcbox.$(OBJEXT) rect.$(OBJEXT) remote.$(OBJEXT) \
-	rm_intrf.$(OBJEXT) ruler.$(OBJEXT) scroll.$(OBJEXT) \
-	select.$(OBJEXT) setup.$(OBJEXT) shape.$(OBJEXT) \
-	shortcut.$(OBJEXT) special.$(OBJEXT) spline.$(OBJEXT) \
-	stk.$(OBJEXT) stream.$(OBJEXT) stretch.$(OBJEXT) \
-	strtbl.$(OBJEXT) tangram2.$(OBJEXT) tdgtbase.$(OBJEXT) \
-	tdgtbmpl.$(OBJEXT) tdgtbrow.$(OBJEXT) tdgtbtn.$(OBJEXT) \
-	tdgtdraw.$(OBJEXT) tdgtlist.$(OBJEXT) tdgtmsg.$(OBJEXT) \
-	tdgtsedt.$(OBJEXT) tgif_dbg.$(OBJEXT) tgcwheel.$(OBJEXT) \
-	tgcwdl.$(OBJEXT) tginssym.$(OBJEXT) tgisdl.$(OBJEXT) \
-	tgtwb5.$(OBJEXT) tgif.$(OBJEXT) tgtwb5dl.$(OBJEXT) \
-	tgtwb5xl.$(OBJEXT) tidget.$(OBJEXT) tcp.$(OBJEXT) \
-	text.$(OBJEXT) util.$(OBJEXT) version.$(OBJEXT) \
+	page.$(OBJEXT) pattern.$(OBJEXT) pin.$(OBJEXT) \
+	pngtrans.$(OBJEXT) poly.$(OBJEXT) polygon.$(OBJEXT) \
+	ps.$(OBJEXT) raster.$(OBJEXT) rcbox.$(OBJEXT) rect.$(OBJEXT) \
+	remote.$(OBJEXT) rm_intrf.$(OBJEXT) ruler.$(OBJEXT) \
+	scroll.$(OBJEXT) select.$(OBJEXT) setup.$(OBJEXT) \
+	shape.$(OBJEXT) shortcut.$(OBJEXT) special.$(OBJEXT) \
+	spline.$(OBJEXT) stk.$(OBJEXT) stream.$(OBJEXT) \
+	stretch.$(OBJEXT) strtbl.$(OBJEXT) tangram2.$(OBJEXT) \
+	tdgtbase.$(OBJEXT) tdgtbmpl.$(OBJEXT) tdgtbrow.$(OBJEXT) \
+	tdgtbtn.$(OBJEXT) tdgtdraw.$(OBJEXT) tdgtlist.$(OBJEXT) \
+	tdgtmsg.$(OBJEXT) tdgtsedt.$(OBJEXT) tgif_dbg.$(OBJEXT) \
+	tgcwheel.$(OBJEXT) tgcwdl.$(OBJEXT) tginssym.$(OBJEXT) \
+	tgisdl.$(OBJEXT) tgtwb5.$(OBJEXT) tgif.$(OBJEXT) \
+	tgtwb5dl.$(OBJEXT) tgtwb5xl.$(OBJEXT) tidget.$(OBJEXT) \
+	tcp.$(OBJEXT) text.$(OBJEXT) util.$(OBJEXT) version.$(OBJEXT) \
 	vms_comp.$(OBJEXT) wb.$(OBJEXT) wb1.$(OBJEXT) wb2.$(OBJEXT) \
 	wb3.$(OBJEXT) wb_buff.$(OBJEXT) wb_mcast.$(OBJEXT) \
 	wb_seg.$(OBJEXT) xbitmap.$(OBJEXT) xpixmap.$(OBJEXT) \
@@ -116,16 +116,16 @@
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run aclocal-1.10
-AMTAR = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run tar
-AUTOCONF = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run autoconf
-AUTOHEADER = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run autoheader
-AUTOMAKE = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run automake-1.10
+ACLOCAL = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run aclocal-1.10
+AMTAR = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run tar
+AUTOCONF = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run autoconf
+AUTOHEADER = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run autoheader
+AUTOMAKE = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run automake-1.10
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -DVERSION=\"$(VERSION)\" -DPROG="\"$(PACKAGE)\"" \
-	-Wall -I/usr/X11R6/include -DHAVE_CONFIG_H -DTGIF_PATH=\"$(TGIFDIR)\" -DPSFILE_MOD=0664 -DLOCALEDIR=\"/usr/share/locale\" -DTELEPORT_ATTR=\"warp_to=\" -DTMP_DIR=\"/tmp/\" -DLAUNCH_ATTR=\"launch=\" -DEXEC_ATTR=\"exec=\" -DEPSF_FILE_EXT=\"eps\" -DPS_FILE_EXT=\"ps\" -DXBM_FILE_EXT=\"xbm\" -DXPM_FILE_EXT=\"xpm\" -DOBJ_FILE_EXT=\"obj\" -DSYM_FILE_EXT=\"sym\" -DTEXT_FILE_EXT=\"txt\" -DPIN_FILE_EXT=\"pin\" -DNETLIST_FILE_EXT=\"net\" -DCOMP_FILE_EXT=\"cmp\"  -D_BACKGROUND_DONT_FORK -D_USE_XDRAWPOINT_TO_PUT_A_POINT -D_USE_PS_ADOBE_STRING=\"3.0/3.0\" -D_DONT_USE_MKTEMP -D_DONT_REENCODE=\"FFDingbests:ZapfDingbats\" -DDEFATTRGROUP=\"TANGRAM-II:Declaration:Events:Messages:Rewards:Initialization:Watches\" -DUSE_XT_INITIALIZE
+	-Wall -I/usr/X11R6/include -DHAVE_CONFIG_H -DTGIF_PATH=\"$(TGIFDIR)\" -DPSFILE_MOD=0664 -DLOCALEDIR=\"/usr/share/locale\" -DTELEPORT_ATTR=\"warp_to=\" -DTMP_DIR=\"/tmp/\" -DLAUNCH_ATTR=\"launch=\" -DEXEC_ATTR=\"exec=\" -DEPSF_FILE_EXT=\"eps\" -DPS_FILE_EXT=\"ps\" -DXBM_FILE_EXT=\"xbm\" -DXPM_FILE_EXT=\"xpm\" -DOBJ_FILE_EXT=\"obj\" -DSYM_FILE_EXT=\"sym\" -DTEXT_FILE_EXT=\"txt\" -DPIN_FILE_EXT=\"pin\" -DNETLIST_FILE_EXT=\"net\" -DCOMP_FILE_EXT=\"cmp\"  -D_BACKGROUND_DONT_FORK -D_USE_XDRAWPOINT_TO_PUT_A_POINT -D_USE_PS_ADOBE_STRING=\"3.0/3.0\" -D_DONT_USE_MKTEMP -D_DONT_REENCODE=\"FFDingbests:ZapfDingbats\" -DDEFATTRGROUP=\"TANGRAM-II:Declaration:Events:Messages:Rewards:Initialization:Watches\" -D_NO_NKF -D_NO_CHINPUT -D_NO_XCIN -DUSE_XT_INITIALIZE -D_NO_LOCALE_SUPPORT
 
 CPP = gcc -E
 CPPFLAGS = 
@@ -147,26 +147,26 @@
 LIBOBJS = 
 LIBS = -lpthread -lz -lm -lidn -ldl -lnsl -lXt -lX11 
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/missing --run makeinfo
+MAKEINFO = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = tgif
 PACKAGE_BUGREPORT = bill.cheng@acm.org
 PACKAGE_NAME = tgif
-PACKAGE_STRING = tgif 4.2.2
+PACKAGE_STRING = tgif 4.2.4
 PACKAGE_TARNAME = tgif
-PACKAGE_VERSION = 4.2.2
+PACKAGE_VERSION = 4.2.4
 PATH_SEPARATOR = :
 POW_LIB = 
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 4.2.2
+VERSION = 4.2.4
 XMKMF = 
-abs_builddir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
-abs_srcdir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
-abs_top_builddir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
-abs_top_srcdir = /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2
+abs_builddir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
+abs_srcdir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
+abs_top_builddir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
+abs_top_srcdir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
 ac_ct_CC = gcc
 am__include = include
 am__leading_dot = .
@@ -185,7 +185,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = $(SHELL) /mm2/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.2/tgif-QPL-4.2.2/install-sh
+install_sh = $(SHELL) /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -206,7 +206,7 @@
 top_srcdir = .
 
 #
-# @(#)$Header: /mm2/home/cvs/bc-src/tgif/Makefile.am,v 1.16 2009/10/14 17:54:04 william Exp $
+# @(#)$Header: /mm2/home/cvs/bc-src/tgif/Makefile.am,v 1.21 2011/01/18 05:17:27 william Exp $
 #
 AUTOMAKE_OPTIONS = foreign
 TGIFDIR = $(libdir)/X11/tgif
@@ -227,7 +227,7 @@
 		menuinfo.c miniline.c move.c msg.c \
 	names.c navigate.c nkf.c \
 	obj.c oval.c \
-	page.c pattern.c pin.c poly.c polygon.c ps.c \
+	page.c pattern.c pin.c pngtrans.c poly.c polygon.c ps.c \
 	raster.c rcbox.c rect.c remote.c rm_intrf.c ruler.c \
 	scroll.c select.c setup.c shape.c shortcut.c \
 		special.c spline.c stk.c stream.c stretch.c \
@@ -243,9 +243,9 @@
 	xbitmap.c xpixmap.c xprtfltr.c \
 	z_intrf.c
 
-tgif_LDADD = -L/usr/X11R6/lib -lXext -lX11 -lXt -lSM -lICE -lXmu
+tgif_LDADD = -L/usr/X11R6/lib -lXext -lX11 -lXt -lSM -lICE -lXmu -lm -lz
 tgifdir = $(TGIFDIR)
-tgif_DATA = tgif.Xdefaults tgificon.eps tgificon.obj tgificon.xbm tgificon.xpm tgif.gif tangram.sym eq4.sym eq4-2x.sym eq4-ps2epsi.sym eq4-epstool.sym eq4xpm.sym eq4-lyx-ps2epsi.sym eq4xpm-land.sym eq4png.sym keys.obj Copyright License
+tgif_DATA = tgif.Xdefaults tgificon.eps tgificon.obj tgificon.xbm tgificon.xpm tgif.gif tangram.sym eq4.sym eq4-2x.sym eq4-ps2epsi.sym eq4-epstool.sym eq4xpm.sym eq4-lyx-ps2epsi.sym eq4xpm-land.sym eq4png.sym eq4jpg.sym eq4-2x-jpg.sym eq4-2x-nowin-jpg.sym keys.obj Copyright License
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
@@ -308,5 +308,3 @@
 	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
 	  if test -f $$p \
 	  ; then \
-	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
-	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \

=== debian/changelog ===
tgif (1:4.2.4-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Sat, 25 Jun 2011 01:00:03 -0500

## tgif 4.2.5

=== Makefile ===
--- 
+++ 
@@ -116,11 +116,11 @@
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run aclocal-1.10
-AMTAR = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run tar
-AUTOCONF = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run autoconf
-AUTOHEADER = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run autoheader
-AUTOMAKE = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run automake-1.10
+ACLOCAL = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run aclocal-1.10
+AMTAR = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run tar
+AUTOCONF = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run autoconf
+AUTOHEADER = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run autoheader
+AUTOMAKE = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run automake-1.10
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -147,26 +147,26 @@
 LIBOBJS = 
 LIBS = -lpthread -lz -lm -lidn -ldl -lnsl -lXt -lX11 
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/missing --run makeinfo
+MAKEINFO = ${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = tgif
 PACKAGE_BUGREPORT = bill.cheng@acm.org
 PACKAGE_NAME = tgif
-PACKAGE_STRING = tgif 4.2.4
+PACKAGE_STRING = tgif 4.2.5
 PACKAGE_TARNAME = tgif
-PACKAGE_VERSION = 4.2.4
+PACKAGE_VERSION = 4.2.5
 PATH_SEPARATOR = :
 POW_LIB = 
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 4.2.4
+VERSION = 4.2.5
 XMKMF = 
-abs_builddir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
-abs_srcdir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
-abs_top_builddir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
-abs_top_srcdir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4
+abs_builddir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5
+abs_srcdir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5
+abs_top_builddir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5
+abs_top_srcdir = /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5
 ac_ct_CC = gcc
 am__include = include
 am__leading_dot = .
@@ -185,7 +185,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = $(SHELL) /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.4/tgif-QPL-4.2.4/install-sh
+install_sh = $(SHELL) /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

=== rmcast/doc/manual/Makefile ===

all:
	latex tgwb.tex && bibtex tgwb && latex tgwb.tex && latex tgwb.tex && dvips -o tgwb.ps -t a4 tgwb.dvi && gv tgwb.ps

pdf:
	latex tgwb.tex && bibtex tgwb && latex tgwb.tex && latex tgwb.tex && dvipdfm -o tgwb.pdf -p a4 tgwb.dvi && acroread tgwb.pdf

clean:
	\rm -f *.toc *.aux *.dvi *.ps *.pdf *.lof *.log *.lot *.bbl *.blg

=== rmcast/tools/tcpdump2rmcast/Makefile ===
all:
	gcc -DREFRESH tcpdump2rmcast.c rmmsgpckt_debug.o -otcpdump2rmcast -Wall -I..

=== debian/changelog ===
tgif (1:4.2.5-4) unstable; urgency=medium

  * Team upload.
  * Don't override CFLAGS (Closes: #1119588)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 29 Oct 2025 20:09:14 +0100

tgif (1:4.2.5-3) unstable; urgency=medium

  * Team upload.

  [ Remus-Gabriel Chelu ]
  * [INTL:ro] Romanian debconf templates translation of tgif
    Closes: #1102041

  [ наб ]
  * Fix FTBFS with GCC-15
    Closes: #1097991
  * d/control: Standards-Version: 4.7.0 -> 4.7.2

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 26 Aug 2025 21:37:03 +0200

tgif (1:4.2.5-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Recent version does not seem to crash any more
    Closes: #215737
  * Move package to Package Salvaging team
    Closes: #1078357
  * Remove some unused backup files
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * watch file standard 4 (routine-update)
  * Enable hardening options
  * Enable cross-building
    Closes: #930842

  [ наб ]
  * d/rules: forward parallel= as -j to make
  * Fix Build with gcc-14
     - d/p/gcc-14.patch: Fix declarations
     - d/p/compilation-fixes: move InitTgifDir declaration next to InitTmpDir
    Closes: #1075569
  * d/rules: `pwd` -> $(CURDIR)
  * Add patch to correct number of arguments given to DoPolygonMeasureCursor()
    (Closes: #748174)
  * New Japanese translation (Closes: #717207)
  * debhelper 13. R-R-R: no
  * build-depends-on-obsolete-package Build-Depends: libidn11-dev => libidn-dev
  * d/mime: lintian quoted-placeholder-in-mailcap-entry "%s.obj"
  * d/menu: delete (lintian command-in-menu-file-and-desktop-file)
  * d/po.sav/: delete (unused, lintian national-encoding)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Sep 2024 08:31:40 +0200

tgif (1:4.2.5-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on python-uniconvertor, since we want to remove it from
    the archive.  Closes: #796294; Reopens: #608243

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 23:01:37 +0000

tgif (1:4.2.5-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/preinst: Also support clean installation when package was previously
    removed but not purged. closes: #666227

 -- Willi Mann <willi@debian.org>  Sat, 16 Jun 2012 13:05:52 +0200

tgif (1:4.2.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #658456
    - Polish (Michał Kułach).  Closes: #667949

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Apr 2012 09:20:25 +0200

tgif (1:4.2.5-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Sat, 22 Oct 2011 02:20:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: tgif
 Section: graphics
 Priority: optional
-Maintainer: Carlo Segre <segre@debian.org>
-Build-Depends: debhelper (>= 7), xutils-dev, libxt-dev, libxext-dev,
-               libz-dev, libxmu-dev
-Standards-Version: 3.9.1
+Maintainer:  Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Carlo Segre <segre@debian.org>
+Build-Depends: debhelper, debhelper-compat (= 13), dh-exec, xutils-dev, libxt-dev, libxext-dev,
+               libz-dev, libxmu-dev, libidn-dev
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/salvage-team/tgif
+Vcs-Git: https://salsa.debian.org/salvage-team/tgif.git
 Homepage: http://bourbon.usc.edu/tgif/
 
 Package: tgif
-Depends: ${misc:Depends}, gettext-base, ${shlibs:Depends}, netpbm, 
-         ghostscript, python-uniconvertor
+Depends: ${misc:Depends}, gettext-base, ${shlibs:Depends}, netpbm,
+         ghostscript, texlive-latex-base
 Recommends: xfonts-75dpi
 Architecture: any
 Description: 2D vector graphic drawing tool using Xlib

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS =
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -s
CPPFLAGS += -Wno-format-security

override_dh_autoreconf:

override_dh_auto_configure:
	xmkmf
	cd po && xmkmf -a

override_dh_auto_build:
	$(MAKE) CC="$(CC)" LOCAL_LDFLAGS=-s CCOPTIONS="$(CPPFLAGS) $(CFLAGS)" CXXOPTIONS="$(CPPFLAGS) $(CXXFLAGS)" MODASFLAGS="$(ASFLAGS)" EXTRA_LDOPTIONS="$(LDFLAGS)" $(subst parallel=,-j,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	$(MAKE) CC="$(CC)" -C po            CCOPTIONS="$(CPPFLAGS) $(CFLAGS)" CXXOPTIONS="$(CPPFLAGS) $(CXXFLAGS)" MODASFLAGS="$(ASFLAGS)" EXTRA_LDOPTIONS="$(LDFLAGS)" $(subst parallel=,-j,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

override_dh_auto_install:

override_dh_auto_clean:
	! [ -f Makefile    ] || $(MAKE) -i clean
	! [ -f po/Makefile ] || $(MAKE) -C po -i clean
	find . -name "Makefile*" -delete

override_dh_installdocs:
	dh_installdocs Copyright
	cat License >> debian/tgif/usr/share/doc/tgif/copyright

override_dh_installchangelogs:
	dh_installchangelogs HISTORY


%:
	dh $@

=== debian/watch ===
version=4
http://bourbon.usc.edu/tgif/download.html .*/tgif-QPL-(.*)\.tar\.gz
